import * as React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type DropdownMenuItemProps = Omit<React.PropsWithChildren<PropsWithMetadata<{
    active?: boolean;
    hover?: boolean;
    /**
     * If set, an HTML anchor element is rendered. If not, an HTML button element is rendered instead
     */
    href?: string;
    preventToCloseOnClick?: boolean;
    selected?: boolean;
    disabled?: boolean;
}>> & React.ComponentPropsWithoutRef<'a'> & React.ComponentPropsWithoutRef<'button'>, 'color'>;
export declare class DropdownMenuItem extends React.PureComponent<DropdownMenuItemProps> {
    static defaultProps: {
        active: boolean;
        className: null;
        disabled: boolean;
        hover: boolean;
        onClick: null;
        preventToCloseOnClick: boolean;
        selected: boolean;
    };
    render(): React.ReactNode;
}
